
// **********************************************************************
// *                                                                    *
// * Common code file for the SMBUS on the ALI M1535 chipset.           *
// *                                                                    *
// * Written by the IBM Director Development Team                       *
// * (C) Copyright IBM Corporation, 1998-2003                           *
// *                                                                    *
// *  This software may be used and distributed according to the terms  *
// *  of the GNU Public License, incorporated herein by reference.      *
// *                                                                    *
// **********************************************************************


/*---------------------*  HEADERS *----------------------------*/
/*-------------------------------------------------------------*/

// None ---------

/*------------------------* DEFINES *--------------------------*/
/*-------------------------------------------------------------*/
// ALI PCI function 3 registers
#define ALI_SM_REG_BASE_ADDR  0xE2
#define ALI_SMBHSTCFG         0xF0            // SMBus Configuration register

//  ALI SMBus register offsets from base address
#define ALI_SMB_STA           0x00            // Host Status register
#define ALI_SMB_CMD_TYP       0x01            // Command type register
#define ALI_SMB_STR_PORT      0x02            // Cycle Port & Alert register
#define ALI_SMB_DEV_ADD       0x03            // Device Address register
#define ALI_SMB_DEV_D0        0x04            // Device Data 0 register
#define ALI_SMB_DEV_D1        0x05            // Device Data 1 register
#define ALI_SMB_DEV_BLK_DAT   0x06            // Device Block data register
#define ALI_SMB_SLV_CMD       0x07            // Slave command register

// Host Status register bit definitions
#define ALI_SMB_STA_FAILED    0x80
#define ALI_SMB_STA_BUSY      0x40
#define ALI_SMB_STA_DEV_ERR   0x20
#define ALI_SMB_STA_CMD_DONE  0x10
#define ALI_SMB_STA_HST_BUSY  0x08        
#define ALI_SMB_STA_BUS_IDLE  0x04        
#define ALI_SMB_STA_CLR_INDX  0x04        

// Host Command type register bit definitions
#define ALI_SMB_TYP_QUICK     0x00
#define ALI_SMB_TYP_SND_RCV   0x10
#define ALI_SMB_TYP_BYTE      0x20
#define ALI_SMB_TYP_WORD      0x30
#define ALI_SMB_TYP_BLOCK     0x40
#define ALI_SMB_TYP_PROC_CALL 0x50
#define ALI_SMB_TYP_KILL      0x04

/*--------------------* GLOBAL DATA *--------------------------*/
/*-------------------------------------------------------------*/

// None ---------

/*-------------------* GLOBAL PROTOTYPES *---------------------*/
/*-------------------------------------------------------------*/
I2CSTATUS ALI_SMBusRead(BYTE, BYTE, void FAR *,int, int);
I2CSTATUS ALI_SMBusWrite(BYTE, BYTE, void FAR *,int, int);
I2CSTATUS ALI_SMBusReceive(BYTE, void FAR *, int, int);


I2CSTATUS ALI_SMBusSend(BYTE, BYTE);

I2CSTATUS ALI_SMBusReadBlock(BYTE, BYTE, BYTE FAR *,int *, int);
I2CSTATUS ALI_SMBusWriteBlock(BYTE, BYTE, BYTE FAR *,int, int);
I2CSTATUS ALI_SMBusQuickCommand(BYTE, BYTE);

/*----------------------* PRAGMAS *----------------------------*/
/*-------------------------------------------------------------*/

// None ---------

