
// **********************************************************************
// *                                                                    *
// * Operating system specific macros.                                  *
// *                                                                    *
// * Written by the IBM Director Development Team                       *
// * (C) Copyright IBM Corporation, 1998-2003                           *
// *                                                                    *
// *  This software may be used and distributed according to the terms  *
// *  of the GNU Public License, incorporated herein by reference.      *
// *                                                                    *
// **********************************************************************

#ifndef I2COS_H
#define I2COS_H

// ------  Debug Trace definitions and prototypes  ------
#define INTERFACE_LVL  1
#define DETAILS_LVL    2
void debug_out (unsigned int,  char *, ...);
// ------------------------------------------------------



#include <asm/io.h>     /* outb(), inb(), etc  (FH3) */
// typedef unsigned char* PUCHAR;   // FH3


#define MAX_DELAY 10000
#define DELAY_TIME 100 // 10 us

// typedef UCHAR BYTE;   FH3

// GPIO Ports                   
// #define GPIO2DATA    ((PUCHAR)port_base + 0)
#define GPIO2DATA    ((unsigned long)port_base + 0)

// #define GPIO2DIR     ((PUCHAR)port_base + 1)
#define GPIO2DIR     ((unsigned  long)port_base + 1)

// #define GPIO2OUTTYPE ((PUCHAR)port_base + 2)
#define GPIO2OUTTYPE ((unsigned)port_base + 2)

// #define GPIO2PULLUP  ((PUCHAR)port_base + 3)
#define GPIO2PULLUP  ((unsigned)port_base + 3)

 
// OS specific I/O commands
// (INP and OUTP are sort of a hack.  To be more general, these macros
// should check to see whether the port address is memory mapped or 
// i/o mapped, and call READ_REGISTER_UCHAR instead if it is memory mapped.

// #define INP(x)      (BYTE)READ_PORT_UCHAR((PUCHAR)(x))
#define INP(x) inb(x)

// #define OUTP(x,y)   WRITE_PORT_UCHAR((PUCHAR)(x),(UCHAR)(y))
#define OUTP(x,y) outb(y,x) 

// #define INPD(x)     (ULONG)READ_PORT_ULONG((PULONG)(x))
#define INPD(x) inl(x)

// #define OUTPD(x,y)  WRITE_PORT_ULONG((PULONG)(x),(ULONG)(y))
#define OUTPD(x,y) outl(y,x)


void DELAY(unsigned int);
void BLOCKDELAY(unsigned int);


#define FAR


#endif  // I2COS_H
