Name: 		ibmsmb
Summary: 	IBM SMBus driver - Custom Binaries
Version: 	4.21
Release: 	1
License: 	GPL
Group: 		System/Tools
URL: 		http://www.pc.ibm.com/support
Vendor: 	International Business Machines Corp.
Source:		%{name}-%{version}-%{release}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}
 
%description
IBM SMBus driver for systems management

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ibm/ibmsmb
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/char
mkdir -p $RPM_BUILD_ROOT/lib/ibmsmb
make DESTDIR=$RPM_BUILD_ROOT install

# create file list to package
cd $RPM_BUILD_ROOT
find . -type f | sed -e 's/^\.//' \
> $RPM_BUILD_DIR/%{name}-%{version}/file.list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list
%defattr(-,root,root)
%doc README.TXT

%post
ETC_SMB=/etc/ibm/ibmsmb
# SET UP FOR BOOT-TIME LOADING IF DESIRED
echo "Configuring the ibmsmb driver to load at boot-time..."
if [ -d /etc/init.d ]; then
     INITSCRIPT="/etc/init.d/ibmsmb"
else
     if [ -d /etc/rc.d/init.d ]; then
          INITSCRIPT="/etc/rc.d/init.d/ibmsmb"
     else
          echo "Error - unable to determine init scripts location."
     fi
fi

cp $ETC_SMB/ibmsmb.initscript $INITSCRIPT
chmod 755 $INITSCRIPT
ln -sf $INITSCRIPT /etc/rc.d/rc2.d/S85ibmsmb
ln -sf $INITSCRIPT /etc/rc.d/rc3.d/S85ibmsmb
ln -sf $INITSCRIPT /etc/rc.d/rc4.d/S85ibmsmb
ln -sf $INITSCRIPT /etc/rc.d/rc5.d/S85ibmsmb

ln -sf $INITSCRIPT /etc/rc.d/rc0.d/K15ibmsmb
ln -sf $INITSCRIPT /etc/rc.d/rc1.d/K15ibmsmb
#ln -sf $INITSCRIPT /etc/rc.d/rc3.d/K15ibmsmb
#ln -sf $INITSCRIPT /etc/rc.d/rc5.d/K15ibmsmb
ln -sf $INITSCRIPT /etc/rc.d/rc6.d/K15ibmsmb

# add ibmsmb config
cp /etc/ld.so.conf /etc/ld.so.conf.preibm
sed -e '/ibmsmb/d' < /etc/ld.so.conf > /etc/ld.so.conf.newibm
echo "/lib/ibmsmb" >> /etc/ld.so.conf.newibm
rm -f /etc/ld.so.conf
mv /etc/ld.so.conf.newibm /etc/ld.so.conf
/sbin/ldconfig

# STARTING DRIVER
echo "Starting the ibmsmb driver..."
/sbin/ibmsmbstart

%preun
# $1 is the # of occurrences AFTER this uninstall
# It'll be one during an upgrade and zero during an uninstall.
if [ "$1" = "0" ]; then
   echo "cat /proc/modules > /dev/null" >> /sbin/ibmsmbremove
   chmod 777 /sbin/ibmsmbremove
   /sbin/ibmsmbremove
   
   rm -f  /etc/rc.d/rc2.d/S85ibmsmb > /dev/null
   rm -f  /etc/rc.d/rc3.d/S85ibmsmb > /dev/null
   rm -f  /etc/rc.d/rc4.d/S85ibmsmb > /dev/null
   rm -f  /etc/rc.d/rc5.d/S85ibmsmb > /dev/null
   
   rm -f  /etc/rc.d/rc0.d/K15ibmsmb > /dev/null
   rm -f  /etc/rc.d/rc1.d/K15ibmsmb > /dev/null
#   rm -f  /etc/rc.d/rc3.d/K15ibmsmb > /dev/null
#   rm -f  /etc/rc.d/rc5.d/K15ibmsmb > /dev/null
   rm -f  /etc/rc.d/rc6.d/K15ibmsmb > /dev/null

# REMOVE SHARED LIBRARY
   sed -e '/ibmsmb/d' < /etc/ld.so.conf > /etc/ld.so.conf.newibm
   rm -f /etc/ld.so.conf
   mv /etc/ld.so.conf.newibm /etc/ld.so.conf
fi

%changelog
* Wed Aug 04 2004 jrn
- changed to more standard rpm usage
